Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.content
Class RepositoryNode

    java.lang.Object
      com.bea.content.ContentEntity
          com.bea.content.Node
              com.bea.apps.groupspace.content.RepositoryNode

All Implemented Interfaces
  Serializable

    public class RepositoryNode

extends Node

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

`Node` that represents repositories; used to represent repos in our composites. For example, this allows us to represent the all repositories and their content as `Nodes`s. Facilitates CM repository browsing.

See Also
  Serialized Form

Field Summary
`protected static Node[]` | `NO_NODES`
`protected INodeManager` | `nodeManager`

Fields inherited from class com.bea.content.Node
`CONTENT, HIERARCHY, NODE`

Fields inherited from class com.bea.content.ContentEntity
`id`

Constructor Summary
`RepositoryNode(String name)`

Method Summary
`protected ContentContext` | `cc()`
`Node[]` | `getChildren()` Returns the children of this node.
`Node[]` | `getContentChildren()` Returns the Content children of this node.
`Node[]` | `getHierarchyChildren()` Returns the Hierarchy children of this node.
`protected Node[]` | `pagedListToArray(IPagedList<Node> nodes)`
`String` | `toString()` Returns the attributes of this Node in a String.

Methods inherited from class com.bea.content.Node
`clone, getCreatedBy, getCreatedDate, getLifeCycleStatus, getModifiedBy, getModifiedDate, getName, getObjectClass, getParentId, getPath, getPrimaryProperty, getProperties, getProperty, getPropertyBytes, getType, getWorkflow, getWorkflowId, getWorkflowStatus, hasChildren, hasChildren, isPropertiesNull, isRetired, isRetired, setCreatedBy, setCreatedDate, setLifeCycleStataus, setModifiedBy, setModifiedDate, setName, setNodeOps, setObjectClass, setParentId, setPath, setProperties, setType, setWorkflowId, setWorkflowOps, setWorkflowStatus`

Methods inherited from class com.bea.content.ContentEntity
`getId, setId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nodeManager

    protected INodeManager nodeManager

### NO_NODES

    protected static final Node[] NO_NODES

Constructor Detail

### RepositoryNode

    public RepositoryNode(String name)

Method Detail

### getChildren

    public Node[] getChildren()

  Description copied from class: `Node`
  Returns the children of this node. This is a convenience method to NodeOps.getNodeChildren() and does not keep the retrieved values in memory as part of this instance.

  Overrides:
    `getChildren` in class `Node`

### getContentChildren

    public Node[] getContentChildren()

  Description copied from class: `Node`
  Returns the Content children of this node. This is a convenience method to NodeOps.getNodeChildren() and does not keep the retrieved values in memory as part of this instance.

  Overrides:
    `getContentChildren` in class `Node`

### getHierarchyChildren

    public Node[] getHierarchyChildren()

  Description copied from class: `Node`
  Returns the Hierarchy children of this node. This is a convenience method to NodeOps.getNodeChildren() and does not keep the retrieved values in memory as part of this instance.

  Overrides:
    `getHierarchyChildren` in class `Node`

### toString

    public String toString()

  Description copied from class: `Node`
  Returns the attributes of this Node in a String.

  Overrides:
    `toString` in class `Node`

### cc

    protected ContentContext cc()

### pagedListToArray

    protected Node[] pagedListToArray(IPagedList<Node> nodes)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved